/*COMMAND _ STATUSE in descriptore bits*/


            
#define GROUP0  0
#define GROUP1  1


#define  SDC_BASE       0x000900
#define  SDCM_BASE      0x000908
#define  SCRDP_BASE     0x008910
#define  SCTDP_BASE     0x00c910
#define  SFTDP_BASE     0x00c914

   
   
#define SDC(group,channel)      SDC_BASE+(group*0x100000)+(channel*0x10000)
#define SDCM(group,channel)     SDCM_BASE+(group*0x100000)+(channel*0x10000)
#define SCRDP(group,channel)    SCRDP_BASE+(group*0x100000)+(channel*0x10000)
#define SCTDP(group,channel)    SCTDP_BASE+(group*0x100000)+(channel*0x10000)
#define SFTDP(group,channel)    SFTDP_BASE+(group*0x100000)+(channel*0x10000)
   
   
#define LAST 1<<16
#define FIRST 1<<17
#define PADDING 1<<18
#define GC 1<<22
#define EI 1<<23
#define AUTO_MODE 1<<30;
#define OWNER 1<<31

  

struct SdmaRxDesc {
	UINT bufsize_bytecnt;
	UINT cmd_sts;
	UINT next_desc_ptr; 
	UINT buf_ptr;  
} RX_DESC;

struct SdmaTxDesc {
	UINT bytecnt;
	UINT cmd_sts;
    UINT next_desc_ptr; 
	UINT buf_ptr;  
} TX_DESC;


typedef struct SDC {
    UINT    reserved1   :18;
    UINT    BurstSize   :2;
    UINT    reserved2   :2;
    UINT    rifb        :1;
    UINT    povr        :1;
    UINT    blmt        :1;
    UINT    blmr        :1;
    UINT    rc          :4;
    UINT    sfm         :1;
    UINT    rft         :1;
} WAN_SDC;

typedef struct SDCM {
    UINT    at          :1;
    UINT    reserved4   :7;
    UINT    txd         :1;
    UINT    reserved3   :6;
    UINT    std         :1;
    UINT    ar          :1;
    UINT    reserved2   :7;
    UINT    erd         :1;
    UINT    reserved1   :7;
} WAN_SDCM;


