#define GT_BASE 0xb4000000  



#define MPSC_GAP		0x008000


#define MMCRL_BASE	    0x000a00
#define MMCRH_BASE	    0x000a04
#define MPCR_BASE		0x000a08
#define CHR_BASE		0x000a0c

#define MMCRL(mpsc_number) 		MMCRL_BASE + (mpsc_number * MPSC_GAP)
#define MMCRH(mpsc_number) 		MMCRH_BASE + (mpsc_number * MPSC_GAP)
#define MPCR(mpsc_number) 		MPCR_BASE + (mpsc_number * MPSC_GAP)
#define CHR(mpsc_number,number)	CHR_BASE+(mpsc_number * MPSC_GAP)+((number-1)*4)





#define HDLC    0
#define UART    4
#define BISYNC  5


typedef struct MMCRL{
    UINT    gde         :1;
    UINT    reserved1   :1;
    UINT    rrvd        :1;
    UINT    trvd        :1;
    UINT    reserved2   :2;
    UINT    crcm        :3;
    UINT    cdm         :1;
    UINT    ctsm        :1;
    UINT    cds         :1;
    UINT    ctss        :1;
    UINT    reserved3   :1;
    UINT    rtsm        :1;
    UINT    tidl        :1;
    UINT    tsns        :2;
    UINT    reserved4   :1;
    UINT    tysn        :1;
    UINT    reserved5   :1;
    UINT    nlm         :1;
    UINT    lpbk        :2;
    UINT    er          :1;
    UINT    et          :1;
    UINT    reserved6   :1;
    UINT    trx         :1;
    UINT    ttx         :1;
    UINT    mode        :3;
}   MPSC_MMCRL  ;

typedef struct  MMCRH {
    UINT    sedg        :2;
    UINT    renc        :3;
    UINT    rcdv        :2;
    UINT    rysl        :2;
    UINT    rdw         :1;
    UINT    reserved1   :1;
    UINT    gdw         :4;
    UINT    rinv        :1;
    UINT    reserved2   :2;
    UINT    tdec        :3;
    UINT    tcdv        :2;
    UINT    tppt        :4;
    UINT    tpl         :3;
    UINT    tinv        :1;
    UINT    tci         :1;

}   MPSC_MMCRH  ;

/*
    uart 

*/

typedef struct MPCR {
    UINT    reserved1   :16;
    UINT    flc         :1;
    UINT    sbl         :1;
    UINT    cl          :2;
    UINT    um          :2;
    UINT    frz         :1;
    UINT    rzs         :1;
    UINT    iso         :1;
    UINT    drt         :1;
    UINT    reserved2   :6;

} UART_PCR    ;



typedef struct  CHR1 {
    UINT    reserved1   :8;
    UINT    brk       :8;
    UINT    reserved2   :8;
    UINT    tcs        :8;

}   UART_CHR1;

typedef struct  CHR2 {
    UINT    eh          :1;
    UINT    reserved1   :5;
    UINT    crd         :1;
    UINT    reserved2   :1;
    UINT    ar          :1;
    UINT    reserved3   :3;
    UINT    rpm         :2;
    UINT    reserved4   :7;
    UINT    tcs         :1;
    UINT    reserved5   :1;
    UINT    at          :1;
    UINT    reserved6   :3;
    UINT    tpm         :2;
    UINT    tev         :1;
    UINT    reserved7   :1;

}   UART_CHR2;


typedef struct  CHR3 {
    UINT    reserved1   :16;
    UINT    mir         :16;
}   UART_CHR3;


typedef struct  CHR4 {
    UINT    reserved1   :24;
    UINT    cfr         :8;
}   UART_CHR4;


typedef struct  CHR5 {
    UINT    ctl2        :16;
    UINT    ctl1        :16;
}   UART_CHR5;

typedef struct  CHR6 {
    UINT    ctl4        :16;
    UINT    ctl3        :16;
}   UART_CHR6;

typedef struct  CHR7 {
    UINT    ctl6        :16;
    UINT    ctl5        :16;
}   UART_CHR7;

typedef struct  CHR8 {
    UINT    ctl8        :16;
    UINT    ctl7        :16;
}   UART_CHR8;

typedef struct  CHR9 {
    UINT    adv2        :1;
    UINT    reserved1   :7;    
    UINT    ad2         :8;
    UINT    adv1        :1;
    UINT    reserved2   :7;
    UINT    ad1         :8;
    
}   UART_CHR9;





                     
